Bug 1130649 - tshark from wireshark-1.10.9-1.fc20 is displaying fields as decimal instead of hex
Summary: tshark from wireshark-1.10.9-1.fc20 is displaying fields as decimal instead o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 20
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Hatina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 18:57 UTC by Scott Mayhew
Modified: 2016-06-01 01:32 UTC (History)
5 users (show)

Fixed In Version: wireshark-1.10.9-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-12 14:30:21 UTC


Attachments (Terms of Use)

Description Scott Mayhew 2014-08-15 18:57:46 UTC
Description of problem:

In the latest wireshark package, tshark is now displaying fields in decimal instead of hex.  This is somewhat annoying since wireshark-gnome displays those fields in hex.

Using tshark from wireshark-1.10.3-4.fc20.x86_64:

$ tshark -r file.pcap -Y "nfs.fh.hash" -T fields -e nfs.fh.hash | sort | uniq -c | sort -nr
  53535 0x2ac052ac
   1248 0x2ac052ac,0x2ac052ac
    155 0x9c34320c
     50 0xf2348737
     18 0xa1aedcb3
      4 0xbcef50a0
      4 0x88cf6e10
      4 0x01e1f8af
      1 0x2ac052ac,0x9c34320c

Using tshark from wireshark-1.10.9-1.fc20.x86_64:

$ tshark -r file.pcap -Y "nfs.fh.hash" -T fields -e nfs.fh.hash | sort | uniq -c | sort -nr
  53535 717247148
   1248 717247148,717247148
    155 2620666380
     50 4063528759
     18 2712591539
      4 3169800352
      4 31586479
      4 2295295504
      1 717247148,2620666380

Comment 1 Peter Hatina 2014-08-21 12:08:52 UTC
Thank you for the notice. Wireshark in the minor releases replaced the output function with another one, which doesn't take in account the format.

Please, try this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=7434894

Comment 2 Peter Hatina 2014-08-22 08:52:52 UTC
Adding upstream bug report:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10318

Comment 3 Scott Mayhew 2014-08-28 17:30:26 UTC
(In reply to Peter Hatina from comment #1)
> Thank you for the notice. Wireshark in the minor releases replaced the
> output function with another one, which doesn't take in account the format.
> 
> Please, try this scratch build:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=7434894

Looks good to me.  Thanks!

Comment 4 Fedora Update System 2014-09-03 08:32:50 UTC
wireshark-1.10.9-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wireshark-1.10.9-4.fc20

Comment 5 Fedora Update System 2014-09-09 22:19:29 UTC
Package wireshark-1.10.9-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wireshark-1.10.9-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10443/wireshark-1.10.9-4.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-09-12 14:30:21 UTC
wireshark-1.10.9-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.